# AIIndustryList_CargoProducing Class Reference
[Classes that create a list of items.]

Creates a list of industries that can produce a given cargo. More...

`#include <ai_industrylist.hpp>`

Inheritance diagram for AIIndustryList_CargoProducing:

## Public Member Functions
| AIIndustryList_CargoProducing (CargoID cargo_id)
## Static Public Member Functions
static const char * | GetClassName ()
| Get the name of this class to identify it towards squirrel.

## Detailed Description

Creates a list of industries that can produce a given cargo.

Note:
  It also contains industries that currently produces 0 units of the cargo.

Definition at line 48 of file ai_industrylist.hpp.

## Constructor & Destructor Documentation

AIIndustryList_CargoProducing::AIIndustryList_CargoProducing | ( | CargoID | cargo_id | ) |

Parameters:

  | cargo_id | The cargo this industry should produce.

Definition at line 35 of file ai_industrylist.cpp.

References AIList::AddItem(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, lengthof, and Industry::produced_cargo.

## Member Function Documentation

static const char* AIIndustryList_CargoProducing::GetClassName | ( |  | ) | `[inline, static]`

Get the name of this class to identify it towards squirrel.

Reimplemented from AIList.

Definition at line 51 of file ai_industrylist.hpp.

The documentation for this class was generated from the following files:

- src/ai/api/ai_industrylist.hpp
- src/ai/api/ai_industrylist.cpp